<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
	"https://hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    
    <query name="findAllLoanInformationThisWeekByOffice">
        <![CDATA[
            SELECT 
                t
            FROM InformationLoanWeekView t
            WHERE idOffice = :idOffice 
            ORDER BY fecha ASC               
        ]]>
    </query>
    
    <query name="findAllColocationThisWeekByOffice">
        <![CDATA[
            SELECT 
                t
            FROM ColocationWeekByUserView t
            WHERE office = :office 
        ]]>
    </query>
    
    <query name="findAllColocationLastWeekByOffice">
        <![CDATA[
            SELECT 
                t
            FROM ColocationLastWeekByUserView t
            WHERE office = :office 
        ]]>
    </query>
    
    <query name="findAllSubtotalThisWeekByOffice">
        <![CDATA[
            SELECT 
                t
            FROM SubtotalWeekByUserView t
            WHERE office = :office 
        ]]>
    </query>
    
    <query name="findAllResumenInOutThisWeekByOffice">
        <![CDATA[
            SELECT 
                t
            FROM ResumenInOutWeekByUserView t
            WHERE office = :office 
        ]]>
    </query>
    
    <query name="findAllCobranzaThisWeekByOffice">
        <![CDATA[
            SELECT 
                t
            FROM CobranzaWeekByUserView t
            WHERE office = :office 
        ]]>
    </query>

</hibernate-mapping>
